| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::DItemsListView Class Reference
Inheritance diagram for Digikam::DItemsListView:

## Public Types
enum | ColumnType { Thumbnail = 0 , Filename , User1 , User2 , User3 , User4 , User5 , User6 }

## Signals
void | signalAddedDropedItems (const QList< QUrl > &)
void | signalContextMenuRequested ()
void | signalItemClicked (QTreeWidgetItem *)

## Public Member Functions
| DItemsListView (DItemsList *const parent)
void | enableDragAndDrop (const bool enable=true)
DItemsListViewItem * | findItem (const QUrl &url)
DItemsListViewItem * | getCurrentItem () const
DInfoInterface * | iface () const
QModelIndex | indexFromItem (DItemsListViewItem *item, int column=0) const
DItemsListIsLessThanHandler | isLessThanHandler () const
void | setColumn (ColumnType column, const QString &label, bool enable)
void | setColumnEnabled (ColumnType column, bool enable)
void | setColumnLabel (ColumnType column, const QString &label)